## org.apache.lucene.store.instantiated
Class InstantiatedTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.store.instantiated.InstantiatedTermEnum

    public class InstantiatedTermEnum

extends TermEnum

A `TermEnum` navigating an `InstantiatedIndexReader`.

Constructor Summary
`InstantiatedTermEnum(InstantiatedIndexReader reader)`
`InstantiatedTermEnum(InstantiatedIndexReader reader, int startPosition)`

Method Summary
`void` `close()` Closes the enumeration to further activity, freeing resources.
`int` `docFreq()` Returns the docFreq of the current Term in the enumeration.
`boolean` `next()` Increments the enumeration to the next element.
`boolean` `skipTo(Term target)` Skips terms to the first beyond the current whose value is greater or equal to target.
`Term` `term()` Returns the current Term in the enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantiatedTermEnum

    public InstantiatedTermEnum(InstantiatedIndexReader reader)

### InstantiatedTermEnum

    public InstantiatedTermEnum(InstantiatedIndexReader reader,
                                int startPosition)

Method Detail

### next

    public boolean next()

  Increments the enumeration to the next element. True if one exists.

  Specified by:
    `next` in class `TermEnum`

### term

    public Term term()

  Returns the current Term in the enumeration.

  Specified by:
    `term` in class `TermEnum`

### docFreq

    public int docFreq()

  Returns the docFreq of the current Term in the enumeration.

  Specified by:
    `docFreq` in class `TermEnum`

### close

    public void close()

  Closes the enumeration to further activity, freeing resources.

  Specified by:
    `close` in class `TermEnum`

### skipTo

    public boolean skipTo(Term target)
                   throws java.io.IOException

  Description copied from class: `TermEnum`
  Skips terms to the first beyond the current whose value is greater or equal to target.

  Returns true iff there is such an entry.

  Behaves as if written:

         public boolean skipTo(Term target) {
           do {
             if (!next())
                   return false;
           } while (target > term());
           return true;
         }

  Some implementations *could* be considerably more efficient than a linear scan. Check the implementation to be sure.

  Overrides:
    `skipTo` in class `TermEnum`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.